# onBindPageView

@ JvmOverloads
fun < E > PagerAdapterBuilder< E >. onBindPageView (Hikageable: HikagePerformer< ViewGroup.LayoutParams >, viewHolder: (hikage: Hikage, entity: E , position: Int ) -> Unit = { _, _, _ -> }): PagerAdapterBuilder< E >

Create and add view holder from Hikage.Delegate.

Usage:

    onBindPageView(
        Hikageable = {
            LinearLayout(
                id = "container",
                lparams = LayoutParams(matchParent = true),
                init = {
                    orientation = LinearLayout.VERTICAL
                    gravity = Gravity.CENTER
                }
            ) {
                TextView(
                    id = "text",
                    lparams = LayoutParams {
                        gravity = Gravity.CENTER
                    }
                ) {
                    text = "Page"
                    textSize = 20f
                }
            }
       }
    ) { hikage, entity, position ->
        hikage.get<TextView>("text").text = "Page ${entity.name} of ${position + 1}"
    }

Content copied to clipboard

#### Receiver

PagerAdapterBuilder<E>

#### Return

PagerAdapterBuilder<E>

#### Parameters

Hikageable

the performer body.

#### See also

PagerAdapterBuilder.onBindPageView

@ JvmOverloads
fun < E > PagerAdapterBuilder< E >. onBindPageView (delegate: Hikage.Delegate<*>, viewHolder: (hikage: Hikage, entity: E , position: Int ) -> Unit = { _, _, _ -> }): PagerAdapterBuilder< E >

Create and add view holder from Hikage.Delegate.

#### Receiver

PagerAdapterBuilder<E>

#### Return

PagerAdapterBuilder<E>

#### Parameters

delegate

the delegate.

#### See also

PagerAdapterBuilder.onBindPageView